lkml.org 
[lkml]   [2021]   [Nov]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subject[PATCH] scripts/tags: merge "TAGS" and "tags" in case
merge "TAGS" and "tags" for the code more concise

Signed-off-by: Zhaoyu Liu <zackary.liu.pro@gmail.com>
---
scripts/tags.sh | 14 +++++---------
1 file changed, 5 insertions(+), 9 deletions(-)

diff --git a/scripts/tags.sh b/scripts/tags.sh
index 16d475b3e203..a9181dd0fee2 100755
--- a/scripts/tags.sh
+++ b/scripts/tags.sh
@@ -315,15 +315,11 @@ case "$1" in
dogtags
;;

- "tags")
- rm -f tags
- xtags ctags
- remove_structs=y
- ;;
-
- "TAGS")
- rm -f TAGS
- xtags etags
+ "TAGS" | "tags")
+ rm -f $1
+ xtags $([ $1 = "tags" ] \
+ && echo ctags \
+ || echo etags)
remove_structs=y
;;
esac
--
2.17.1
\
 
 \ /
  Last update: 2021-11-03 16:36    [W:0.435 / U:0.012 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site